<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: statistics_panel.php
| Author: Zaxap Kramer
| Email: zaxap.kramer@gmail.com
| Website: http://www.nyandex.ru
|--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if(!defined("IN_FUSION")){die('Access Denied');}

if(file_exists(INFUSIONS.'statistics_panel/locale/'.$settings['locale'].'.php')){
require_once INFUSIONS.'statistics_panel/locale/'.$settings['locale'].'.php';
}else{
require_once INFUSIONS.'statistics_panel/locale/English.php';
}
if(!defined('THEME_BULLET')){define('THEME_BULLET',"<span class='bullet'>&middot;</span>");}//theme bullet
//db requests
$news_rows=dbcount("(news_id)",DB_NEWS,'');
$article_rows=dbcount("(article_id)",DB_ARTICLES,'');
$download_rows=dbcount("(download_id)",DB_DOWNLOADS,'');
$photo_rows=dbcount("(photo_id)",DB_PHOTOS,'');
$weblinks_rows=dbcount("(weblink_id)",DB_WEBLINKS,'');
$threads_rows=dbcount("(thread_id)",DB_THREADS,'');
$posts_rows=dbcount("(post_id)",DB_POSTS,'');
$members_registered_rows=dbcount("(user_id)",DB_USERS,"user_status<='1' OR user_status='3' OR user_status='5'");
$comment_rows=dbcount("(comment_id)", DB_COMMENTS,'');
$shout_result=dbquery("SELECT panel_access FROM ".DB_PANELS." WHERE panel_filename='shoutbox_panel' AND panel_status='1'");
if(dbrows($shout_result)){
	$shout_data=dbarray($shout_result);
	if(checkgroup($shout_data['panel_access'])){
		$shout_rows=dbcount("(shout_id)",DB_SHOUTBOX,"");
	}else{$shout_rows=0;}
}else{$shout_rows=0;}
//
openside($locale['s01']);
if($news_rows!=0)echo THEME_BULLET.' '.$locale['s02'].': '.$news_rows."<br />\n";
if($article_rows!=0)echo THEME_BULLET.' '.$locale['s03'].': '.$article_rows."<br />\n";
if($download_rows!=0)echo THEME_BULLET.' '.$locale['s04'].': '.$download_rows."<br />\n";
if($photo_rows!=0)echo THEME_BULLET.' '.$locale['s05'].': '.$photo_rows."<br />\n";
if($weblinks_rows!=0)echo THEME_BULLET.' '.$locale['s06'].': '.$weblinks_rows."<br />\n";
if($threads_rows!=0)echo THEME_BULLET.' '.$locale['s07'].': '.$threads_rows."<br />\n";
if($posts_rows!=0)echo THEME_BULLET.' '.$locale['s08'].': '.$posts_rows."<br />\n";
if($members_registered_rows!=0)echo THEME_BULLET.' '.$locale['s09'].': '.$members_registered_rows."<br />\n";
if($comment_rows!=0)echo THEME_BULLET.' '.$locale['s10'].': '.$comment_rows."<br />\n";
if($shout_rows!=0)echo THEME_BULLET.' '.$locale['s11'].': '.$shout_rows."<br />\n";
if($news_rows=0&&$article_rows=0&&$download_rows=0&&$photo_rows=0&&$weblinks_rows=0&&$threads_rows=0&&$posts_rows=0&&$members_registered_rows=0&&$comment_rows=0&&$shout_rows=0)
{echo"<div class='text-align:center'>".$locale['s12']."</div>\n";}
closeside();